[SRU] Please make ubuntu-wsl recommend dbus-x11

Bug #1837466 reported by Balint Reczey on 2019-07-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]

 * Some graphical apps such as gedit complain about not being able to start dbus using dbus-launch when they are started from the WSL Ubuntu terminal because dbus-x11 is not installed.

[Test Case]

 * Test if ubuntu-wsl recommends dbus-x11 (check the version to be verified):
   $ apt-cache show ubuntu-wsl=1.435 | grep dbus
Recommends: dbus-x11

[Regression Potential]

 * Recommending the new dbus-x11 package comes with an increased installation size, but this is accepted to make the WSL experience more pleasant.

Balint Reczey (rbalint) on 2019-07-22
Changed in ubuntu-meta (Ubuntu):
status: New → Fix Released

Hello Balint, or anyone else affected,

Accepted ubuntu-meta into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.431.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-meta (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted ubuntu-meta into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.417.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-meta (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted ubuntu-meta into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.361.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-meta (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Balint Reczey (rbalint) wrote :

Verified 1.361.4 on Xenial, 1.417.3 on Bionic and 1.431.1 on Disco.

root@x-proposed:~# for i in $(apt-cache show ubuntu-wsl | grep Version: | awk '{print $2}'); do echo '$' apt-cache show ubuntu-wsl=$i '|' grep dbus ; apt-cache show ubuntu-wsl=$i | grep dbus; done
$ apt-cache show ubuntu-wsl=1.361.4 | grep dbus
Recommends: dbus-x11
$ apt-cache show ubuntu-wsl=1.361.3 | grep dbus
root@x-proposed:~#

root@bb-proposed:~# for i in $(apt-cache show ubuntu-wsl | grep Version: | awk '{print $2}'); do echo '$' apt-cache show ubuntu-wsl=$i '|' grep dbus ; apt-cache show ubuntu-wsl=$i | grep dbus; done
$ apt-cache show ubuntu-wsl=1.417.3 | grep dbus
Recommends: dbus-x11
$ apt-cache show ubuntu-wsl=1.417.2 | grep dbus
root@bb-proposed:~#

root@d-proposed:~# for i in $(apt-cache show ubuntu-wsl | grep Version: | awk '{print $2}'); do echo '$' apt-cache show ubuntu-wsl=$i '|' grep dbus ; apt-cache show ubuntu-wsl=$i | grep dbus; done
$ apt-cache show ubuntu-wsl=1.431.1 | grep dbus
Recommends: dbus-x11
$ apt-cache show ubuntu-wsl=1.431 | grep dbus
root@d-proposed:~#

tags: added: verification-done verification-done-bionic verification-done-disco verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.431.1

---------------
ubuntu-meta (1.431.1) disco; urgency=medium

  * Added dbus-x11 to wsl-recommends (LP: #1837466)

 -- Balint Reczey <email address hidden> Mon, 22 Jul 2019 23:07:09 +0200

Changed in ubuntu-meta (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-meta has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.417.3

---------------
ubuntu-meta (1.417.3) bionic; urgency=medium

  * Added dbus-x11 to wsl-recommends (LP: #1837466)

 -- Balint Reczey <email address hidden> Wed, 24 Jul 2019 01:21:39 +0200

Changed in ubuntu-meta (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.361.4

---------------
ubuntu-meta (1.361.4) xenial; urgency=medium

  [ Ken VanDine ]
  * Added xdg-desktop-portal-gtk to desktop-recommends (LP: #1795959)
  * Update seed_base URL to use HTTPS instead of git+ssh

  [ Balint Reczey ]
  * Added dbus-x11 to wsl-recommends (LP: #1837466)

 -- Balint Reczey <email address hidden> Thu, 25 Jul 2019 15:34:51 +0200

Changed in ubuntu-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers